/**
 * 获取文件后缀
*/
export function getFileExt(url) {
  if (!url) {
    return
  }
  const splitIndex = url.lastIndexOf('.')
  if (splitIndex < 0) {
    return
  }
  return url.substr(splitIndex + 1).toLowerCase()
}

/**
 * 判断是否是图片
*/
export function isImage(ext) {
  return ['jpg', 'jpeg', 'gif', 'png'].includes(ext)
}

/**
 * 格式化图片地址
*/
export function formatImageSrc(src) {
  if (!src) {
    return
  }
  if (src.indexOf('blob:') === 0 || src.indexOf('data:') === 0 || src.indexOf('/') === 0) {
    return src
  }
  if (!(/^(http|https)/i.test(src)) && src.indexOf('//') !== 0) {
    return '//' + src
  }
  return src
}
